rust: dagop.headrevs() Rust counterparts
ClosedPublic

Authored by gracinet on Jan 14 2019, 9:13 PM.

Details

Summary

This introduces two Rust implementations for mercurial.dagop.headrevs.
The algorithm is identical to the Python version.
Depending on the caller, one or the other could be the most practical, or
the most performant, by minimizing the amount of memory copy and allocations.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
gracinet created this revision.Jan 14 2019, 9:13 PM
kevincox accepted this revision.Jan 15 2019, 2:55 PM
Closed by commit rHG47881d2a9d99: rust: dagop.headrevs() Rust counterparts (authored by Georges Racinet on ishtar.racinet.fr <georges@racinet.fr>, committed by ). · Explain WhyJan 16 2019, 7:44 AM
This revision was automatically updated to reflect the committed changes.